Subject: bug#48064: texlive-* packages fail to build non-deterministically

From: Thiago Jung Bauermann <[email-masked]>
Date: Wed, 30 Jun 2021 11:54:45 -0300

Em quarta-feira, 30 de junho de 2021, às 09:46:01 -03, Thiago Jung
Bauermann escreveu:
> I will use your command line to get a Valgrind report for TeX Live 2021
> and post it to the dev-luatex mailing list as well.

Unfortunately I’m still having problems with glibc debug info and thus
Valgrind doesn’t work for me.

When I use this command:

$ guix environment texlive-amscls --pure	\
	--with-debug-info=texlive-bin	\
	--ad-hoc valgrind glibc:debug gdb 

I get luatex linked with this glibc:

$ /bin/which luatex
/gnu/store/s44lh4hqbklplqm3cpaih3rxsv8i1dx1-profile/bin/luatex
$ ldd /gnu/store/s44lh4hqbklplqm3cpaih3rxsv8i1dx1-profile/bin/luatex | grep libc.so
        libc.so.6 => /gnu/store/rhlm1nixi98x09xbyjc4i38gl9xs01f2-glibc-2.33/lib/libc.so.6 (0x00007fec0ac3d000)

But for some reason I get debug info for a different glibc:

$ ls -1 /gnu/store/s44lh4hqbklplqm3cpaih3rxsv8i1dx1-profile/lib/debug/gnu/store/
5ahv6zfv64jm5y7sficll0k2scr7cxvz-glibc-2.33
d9r40z2klf9l25pjk9k71z3dvxrsifzs-glibc-2.33-static

-- 
Thanks,
Thiago